Bug 198110 - modprobe of module-init-tools-3.2.2-0.FC4.1.i386 fails to load ipw2200 correctly
modprobe of module-init-tools-3.2.2-0.FC4.1.i386 fails to load ipw2200 correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-09 15:28 EDT by Peter van Hooft
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 04:57:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contains the straces of modprobe from problem rpm and the previous one. (20.00 KB, application/x-tar)
2006-07-09 15:28 EDT, Peter van Hooft
no flags Details

  None (edit)
Description Peter van Hooft 2006-07-09 15:28:49 EDT
Description of problem:
module-init-tools-3.2.2-0.FC4.1.i386.rpm from updates-testing fails
to load ipw2200 modules correcty.
System: Dell Latitude C400

Kernels tested:
2.6.17-1.2141_FC4
2.6.17-1.2139_FC4

ipw2200 versions tested:
  ipw2200-1.1.3-43.rhfc4.at.i386.rpm
  ipw2200-firmware-3.0-8.at.noarch.rpm
  ipw2200-kmdl-2.6.17-1.2139_FC4-1.1.3-43.rhfc4.at.i686.rpm

  ipw2200-1.1.0-40.rhfc4.at.i386.rpm
  ipw2200-firmware-2.4-7.at.noarch.rpm
  ipw2200-kmdl-2.6.17-1.2139_FC4-1.1.0-40.rhfc4.at.i686.rpm

  And for the 2.6.17-1.2141_FC4 kernel the built-in ipw2200:
  filename:      
/lib/modules/2.6.17-1.2141_FC4/kernel/drivers/net/wireless/ipw2200.ko
  license:        GPL
  author:         Copyright(c) 2003-2006 Intel Corporation
  version:        git-1.1.1
  with ipw2200-firmware-3.0-8.at

Modprobe of ipw2200 results in:
ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.1.3mprq
ipw2200: Copyright(c) 2003-2006 Intel Corporation
ACPI: PCI Interrupt 0000:02:03.0[A] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
ipw2200: Detected Intel PRO/Wireless 2915ABG Network Connection
ipw2200: ipw2200-bss.fw request_firmware failed: Reason -2
ipw2200: Unable to load firmware: -2
ipw2200: failed to register network device
ACPI: PCI interrupt for device 0000:02:03.0 disabled
ipw2200: probe of 0000:02:03.0 failed with error -5


Version-Release number of selected component (if applicable):
3.2.2-0.FC4.1.i386

How reproducible:
Install module-init-tools-3.2.2-0.FC4.1.i386.rpm. Loading of ipw2200 fails.

Steps to Reproduce:
1.Update module-init-tools
2.reboot
3.
  
Actual results:
ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.1.3mprq
ipw2200: Copyright(c) 2003-2006 Intel Corporation
ACPI: PCI Interrupt 0000:02:03.0[A] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
ipw2200: Detected Intel PRO/Wireless 2915ABG Network Connection
ipw2200: ipw2200-bss.fw request_firmware failed: Reason -2
ipw2200: Unable to load firmware: -2
ipw2200: failed to register network device
ACPI: PCI interrupt for device 0000:02:03.0 disabled
ipw2200: probe of 0000:02:03.0 failed with error -5

Networking with wireless interface fails.

Expected results:
ipw2200: Copyright(c) 2003-2006 Intel Corporation
ACPI: PCI Interrupt 0000:02:03.0[A] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
ipw2200: Detected Intel PRO/Wireless 2915ABG Network Connection
ipw2200: Detected geography ZZE (13 802.11bg channels, 19 802.11a channels)
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1f.5 to 64

and networking works.

Additional info:
Comment 1 Peter van Hooft 2006-07-09 15:28:49 EDT
Created attachment 132149 [details]
Contains the straces of modprobe from problem rpm and the previous one.
Comment 2 Christian Iseli 2007-01-19 19:39:17 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Peter van Hooft 2007-01-20 04:57:24 EST
I've installed fc6 know, on which ipw2200 works quite well.
Since fc4 is eol-d, I close this bug.

Note You need to log in before you can comment on or make changes to this bug.